# set\_burner

An entrypoint that setups a new **Burner** contract for burning QUIPU tokens exchanged on [QuipuSwap DEX](https://quipuswap.com/swap/tez-KT193D4vozYnhGJQVtw7CoxxqphqUEEwK6Vb_0) using bakers rewards (see [Burner](/smart-contracts/farming/burner-contract.md)).

### Call parameters

| Field  | Type    | Description                             |
| ------ | ------- | --------------------------------------- |
| burner | address | An address of a new **Burner** contract |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const tFarmAddress = "KT1...";
const burner = "KT1...";
const tFarm = await tezos.contract.at(tFarmAddress);
const operation = await tFarm.methods.set_burner(burner).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-admin` - `sender` of the transaction is not current administrator.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/tfarm-contract/entrypoints-overview/admin-entrypoints/set_burner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
